Subject: Re: build #337 failed for 2.6.24-rc1-gb1d08ac In function `usbnet_set_settings':

From: Adrian Bunk <[email-masked]>
Date: Fri, 2 Nov 2007 20:55:17 +0100

On Fri, Nov 02, 2007 at 12:30:22PM -0700, David Brownell wrote:
> On Friday 02 November 2007, Adrian Bunk wrote:
> > This approach has two disadvantages:
> > - it's complicated
> 
> No more so than the problem itself.
> 
> 
> > - the MII stuff is an implementation detail, and we shouldn't bother
> >   the user with it (especially since we can do better)
> 
> That's a Kconfig policy that's not always followed.

Sure it's not yet always followed.

But kernel developers have to become more aware that the vast majority 
of kconfig users are not kernel hackers and act accordingly.

I'm not talking about the infamous Aunt Tillie, but being able to 
build your own kernel is even required for LPIC-1. [1]

> In this
> case, I was getting fed up with "select".  It so rarely does
> what it needs to do, and I've started to think it'd be better
> to just always avoid that fragility than battle it.

Regarding this bug, "select" is completely innocent...

> > If you want to keep the #ifdef's, what's the problem with the second 
> > patch I proposed to fix this bug?
> 
> For one thing, I didn't see it until after I posted this one...
> other than that, the basic approach could well be fine; I didn't
> go through it in detail.
> 
> But on the other hand, it seems that only the ASIX code will work
> right; the DM9601 and MCS7830 Kconfig is different/wrong.

I'm not seeing the problem.

Which configuration will be handled wrongly?

> - Dave

cu
Adrian

[1] http://www.lpi.org/en/lpi/english/certification/the_lpic_program/exam_102_detailed_objectives

-- 

       "Is there not promise of rain?" Ling Tan asked suddenly out
        of the darkness. There had been need of rain for many days.
       "Only a promise," Lao Er said.
                                       Pearl S. Buck - Dragon Seed